#
# Conditional build:
%bcond_without	python2		# Python 2.x module
%bcond_without	python3		# Python 3.x module

%define		module	pygobject
Summary:	Python bindings for GObject library
Summary(pl.UTF-8):	Wiązania Pythona do biblioteki GObject
Name:		python-pygobject3
Version:	3.10.2
Release:	1
License:	LGPL v2+
Group:		Libraries/Python
Source0:	http://ftp.gnome.org/pub/GNOME/sources/pygobject/3.10/%{module}-%{version}.tar.xz
# Source0-md5:	f311155be8510df6ad8e4edf1cb463d4
Patch0:		link.patch
URL:		https://live.gnome.org/PyGObject
BuildRequires:	autoconf >= 2.68
BuildRequires:	automake >= 1:1.11.1
%{?with_python3:BuildRequires:	automake >= 1:1.13}
BuildRequires:	cairo-gobject-devel
BuildRequires:	glib2-devel >= 1:2.35.9
BuildRequires:	gnome-common >= 3.10
BuildRequires:	gobject-introspection-devel >= 1.35.9
BuildRequires:	libffi-devel >= 3.0
BuildRequires:	libtool >= 2:2.2.6
BuildRequires:	pkgconfig
BuildRequires:	pkgconfig(libffi) >= 3.0
BuildRequires:	rpm-pythonprov
BuildRequires:	tar >= 1:1.22
BuildRequires:	xz
%if %{with python2}
BuildRequires:	python-devel >= 1:2.7
BuildRequires:	python-pycairo-devel >= 1.2.0
Requires:	python-modules >= 1:2.7
%endif
%if %{with python3}
BuildRequires:	python3 >= 3.2.2-3
BuildRequires:	python3-devel >= 3.2.2-3
BuildRequires:	python3-modules >= 3.2.2-3
BuildRequires:	python3-pycairo-devel >= 1.10.0
%endif
Requires:	glib2 >= 1:2.35.9
Requires:	gobject-introspection >= 1.35.9
Conflicts:	python-pygobject < 2.28.6-3
BuildRoot:	%{tmpdir}/%{name}-%{version}-root-%(id -u -n)

%description
Python bindings for GObject library.

%description -l pl.UTF-8
Wiązania Pythona do biblioteki GObject.

%package common-devel
Summary:	Python bindings for GObject library
Summary(pl.UTF-8):	Wiązania Pythona do biblioteki GObject
Group:		Development/Languages/Python
Requires:	%{name} = %{version}-%{release}
Requires:	glib2-devel >= 1:2.35.9
Requires:	libffi-devel >= 3.0

%description common-devel
This package contains headers files required to build wrappers for
GObject addon libraries so that they interoperate with Python
bindings.

%description common-devel -l pl.UTF-8
Pakiet zawiera pliki nagłówkowe wymagane do zbudowania funkcji do
biblioteki GObject, tak by mogły te biblioteki kooperowaći z
wiązaniami Pythona.

%package devel
Summary:	Python bindings for GObject library
Summary(pl.UTF-8):	Wiązania Pythona do biblioteki GObject
Group:		Development/Languages/Python
Requires:	%{name} = %{version}-%{release}
Requires:	%{name}-common-devel = %{version}-%{release}
Requires:	glib2-devel >= 1:2.35.9
Requires:	libffi-devel >= 3.0
Requires:	python-devel >= 1:2.6

%description devel
This package contains files required to build wrappers for GObject
addon libraries so that they interoperate with Python bindings.

%description devel -l pl.UTF-8
Pakiet zawiera pliki wymagane do zbudowania funkcji do biblioteki
GObject, tak by mogły te biblioteki kooperować z wiązaniami Pythona.

%package -n python3-pygobject3
Summary:	Python 3.x bindings for GObject library
Summary(pl.UTF-8):	Wiązania Pythona 3.x do biblioteki GObject
Group:		Libraries/Python
Requires:	glib2 >= 1:2.35.9
Requires:	gobject-introspection >= 1.35.9
Conflicts:	python3-pygobject < 2.28.6-3

%description -n python3-pygobject3
Python 3.x bindings for GObject library.

%description -n python3-pygobject3 -l pl.UTF-8
Wiązania Pythona 3.x do biblioteki GObject.

%package -n python3-pygobject3-devel
Summary:	Python bindings for GObject library
Summary(pl.UTF-8):	Wiązania Pythona do biblioteki GObject
Group:		Development/Languages/Python
Requires:	%{name}-common-devel = %{version}-%{release}
Requires:	glib2-devel >= 1:2.35.9
Requires:	libffi-devel >= 3.0
Requires:	python3-devel >= 3.2
Requires:	python3-pygobject3 = %{version}-%{release}

%description -n python3-pygobject3-devel
This package contains files required to build wrappers for GObject
addon libraries so that they interoperate with Python bindings.

%description -n python3-pygobject3-devel -l pl.UTF-8
Pakiet zawiera pliki wymagane do zbudowania funkcji do biblioteki
GObject, tak by mogły te biblioteki kooperować z wiązaniami Pythona.

%package examples
Summary:	Example programs for GObject library
Summary(pl.UTF-8):	Programy przykładowe dla biblioteki GObject
Group:		Development/Languages/Python
Requires:	%{name}-devel = %{version}-%{release}

%description examples
This package contains example programs for GObject library.

%description examples -l pl.UTF-8
Ten pakiet zawiera przykładowe programy dla biblioteki GObject.

%prep
%setup -q -n %{module}-%{version}
%patch0 -p1

%build
%{__libtoolize}
%{__aclocal} -I m4
%{__autoconf}
%{__autoheader}
%{__automake}
%if %{with python3}
mkdir py3
cd py3
../%configure \
	PYTHON=/usr/bin/python3 \
	PYTHON_LIBS=-lpython3 \
	--disable-silent-rules
%{__make}
cd ..
%endif
%if %{with python2}
mkdir py2
cd py2
../%configure \
	PYTHON=%{__python} \
	PYTHON_LIBS=-lpython \
	--disable-silent-rules
%{__make}
cd ..
%endif

%install
rm -rf $RPM_BUILD_ROOT
install -d $RPM_BUILD_ROOT%{_examplesdir}/%{name}-%{version}

%if %{with python3}
%{__make} -C py3 -j 1 install \
	DESTDIR=$RPM_BUILD_ROOT \
	TARGET_DIR=%{_gtkdocdir}/%{module}
%endif
%if %{with python2}
%{__make} -C py2 -j 1 install \
	DESTDIR=$RPM_BUILD_ROOT \
	TARGET_DIR=%{_gtkdocdir}/%{module}
%endif

cp -a examples/*.py $RPM_BUILD_ROOT%{_examplesdir}/%{name}-%{version}

%{__rm} $RPM_BUILD_ROOT%{_libdir}/*.la

%if %{with python2}
%{__rm} $RPM_BUILD_ROOT%{py_sitedir}/gi/{*/,}/*.la
%py_postclean
%endif
%if %{with python3}
%{__rm} $RPM_BUILD_ROOT%{py3_sitedir}/gi/{*/,}*.la
%endif

%clean
rm -rf $RPM_BUILD_ROOT

%post   -p /sbin/ldconfig
%postun -p /sbin/ldconfig

%post	-n python3-pygobject3 -p /sbin/ldconfig
%postun	-n python3-pygobject3 -p /sbin/ldconfig

%if %{with python2}
%files
%defattr(644,root,root,755)
%doc AUTHORS ChangeLog NEWS README
%attr(755,root,root) %{_libdir}/libpyglib-gi-2.0-python.so.*.*.*
%attr(755,root,root) %ghost %{_libdir}/libpyglib-gi-2.0-python.so.0
%dir %{py_sitedir}/gi
%attr(755,root,root) %{py_sitedir}/gi/_gi.so
%attr(755,root,root) %{py_sitedir}/gi/_gi_cairo.so
%{py_sitedir}/gi/*.py[co]
%dir %{py_sitedir}/gi/overrides
%{py_sitedir}/gi/overrides/*.py[co]
%dir %{py_sitedir}/gi/repository
%{py_sitedir}/gi/repository/*.py[co]
%dir %{py_sitedir}/gi/_glib
%attr(755,root,root) %{py_sitedir}/gi/_glib/_glib.so
%{py_sitedir}/gi/_glib/*.py[co]
%dir %{py_sitedir}/gi/_gobject
%attr(755,root,root) %{py_sitedir}/gi/_gobject/_gobject.so
%{py_sitedir}/gi/_gobject/*.py[co]
%dir %{py_sitedir}/pygtkcompat
%{py_sitedir}/pygtkcompat/*.py[co]
%{py_sitedir}/pygobject-%{version}-py*.egg-info

%files common-devel
%defattr(644,root,root,755)
%{_includedir}/pygobject-3.0
%{_pkgconfigdir}/pygobject-3.0.pc

%files devel
%defattr(644,root,root,755)
%attr(755,root,root) %{_libdir}/libpyglib-gi-2.0-python.so
%endif

%if %{with python3}
%files -n python3-pygobject3
%defattr(644,root,root,755)
%doc AUTHORS ChangeLog NEWS README
%attr(755,root,root) %{_libdir}/libpyglib-gi-2.0-python3.so.*.*.*
%attr(755,root,root) %ghost %{_libdir}/libpyglib-gi-2.0-python3.so.0
%dir %{py3_sitedir}/gi
%attr(755,root,root) %{py3_sitedir}/gi/_gi.cpython*.so
%attr(755,root,root) %{py3_sitedir}/gi/_gi_cairo.cpython*.so
%{py3_sitedir}/gi/*.py
%{py3_sitedir}/gi/__pycache__
%dir %{py3_sitedir}/gi/_glib
%attr(755,root,root) %{py3_sitedir}/gi/_glib/_glib.cpython*.so
%{py3_sitedir}/gi/_glib/*.py
%{py3_sitedir}/gi/_glib/__pycache__
%dir %{py3_sitedir}/gi/_gobject
%attr(755,root,root) %{py3_sitedir}/gi/_gobject/_gobject.cpython*.so
%{py3_sitedir}/gi/_gobject/*.py
%{py3_sitedir}/gi/_gobject/__pycache__
%dir %{py3_sitedir}/gi/overrides
%{py3_sitedir}/gi/overrides/*.py
%{py3_sitedir}/gi/overrides/__pycache__
%dir %{py3_sitedir}/gi/repository
%{py3_sitedir}/gi/repository/*.py*
%{py3_sitedir}/gi/repository/__pycache__
%dir %{py3_sitedir}/pygtkcompat
%{py3_sitedir}/pygtkcompat/*.py
%{py3_sitedir}/pygtkcompat/__pycache__
%{py3_sitedir}/pygobject-%{version}-py*.egg-info

%files -n python3-pygobject3-devel
%defattr(644,root,root,755)
%attr(755,root,root) %{_libdir}/libpyglib-gi-2.0-python3.so
%endif

%files examples
%defattr(644,root,root,755)
%{_examplesdir}/%{name}-%{version}
%changelog
* Tue Nov 12 2013 PLD Linux Team <feedback@pld-linux.org>
- For complete changelog see: http://git.pld-linux.org/?p=packages/python-pygobject3.git;a=log;h=master

* Tue Nov 12 2013 Łukasz Kieś <kiesiu@pld-linux.org> fd68a88
- updated to 3.10.2

* Tue Oct 15 2013 Jakub Bogusz <qboosh@pld-linux.org> e1e13d0
- try newer gnome-common

* Tue Oct 15 2013 Jakub Bogusz <qboosh@pld-linux.org> 6420a19
- updated to 3.10.1

* Wed Sep 25 2013 Jakub Bogusz <qboosh@pld-linux.org> 205b012
- updated to 3.10.0

* Sun Jul 07 2013 Jakub Bogusz <qboosh@pld-linux.org> 286a097
- updated to 3.8.3

* Wed May 15 2013 Jakub Bogusz <qboosh@pld-linux.org> bd40ccd
- updated to 3.8.2

* Fri Apr 19 2013 Jakub Bogusz <qboosh@pld-linux.org> 7e64c06
- updated to 3.8.1

* Fri Mar 29 2013 Jakub Bogusz <qboosh@pld-linux.org> 7d22b89
- cleanup, updated g-i version, libtool epoch
- BR automake 1.13 when building for python 3 (for new compiled python files layout)

* Mon Mar 25 2013 Łukasz Kieś <kiesiu@pld-linux.org> decdeaa
- updated to 3.8.0
- there are no apidocs anymore

* Mon Mar 11 2013 Jacek Konieczny <j.konieczny@eggsoft.pl> 590b40c
- BR: cairo-gobject-devel

* Mon Mar 11 2013 Jacek Konieczny <j.konieczny@eggsoft.pl> 03a4e67
- A bit better URL

* Thu Nov 15 2012 Jakub Bogusz <qboosh@pld-linux.org> 26d401a
- updated to 3.4.2

* Wed Nov 14 2012 Arkadiusz Miśkiewicz <arekm@maven.pl> 9d992cc
- release 2 (by relup.sh)

* Thu Oct 18 2012 Łukasz Kieś <kiesiu@pld-linux.org> 9cb8170
- updated to 3.4.1.1

* Mon Oct 15 2012 Jakub Bogusz <qboosh@pld-linux.org> 80beda2
- package egg-info files

* Mon Oct 15 2012 Łukasz Kieś <kiesiu@pld-linux.org> 1e65ed3
- updated to 3.4.1

* Sun Oct 14 2012 Jakub Bogusz <qboosh@pld-linux.org> bebf1ce
- updated required python 2 version

* Sat Oct 13 2012 Marcin Banasiak <marcin.banasiak@gmail.com> 5882833
- Updated to 3.4.0

* Thu Sep 13 2012 Elan Ruusamäe <glen@delfi.ee> 63e1dd2
- add missing ldconfig to python3-pygobject3. bugreport from devel-en list

* Tue May 15 2012 Łukasz Kieś <kiesiu@pld-linux.org> feac88c
- updated to 3.2.2

